<?php

namespace App\Enum\Communication;

enum PhoneNumberTypeSlug: string {
    case ClientLine = 'client_line';
    case ExternalLine = 'external_line';
    case MainInbound = 'main_inbound';

    public function label(): string {
        return match ($this) {
            self::ClientLine => 'Client Line',
            self::ExternalLine => 'External Line',
            self::MainInbound => 'Main Inbound',
        };
    }
}